दिलचस्प पोस्ट
मैं SQL सर्वर क्वेरी में सप्ताहांत दिनों को कैसे बाहर कर सकता हूं? स्प्रिंग में अनुसूचित कार्य को सशर्त रूप से कैसे सक्षम या अक्षम करें? सीएसएस चयनकर्ता में तारांकन (*) क्या करता है? कैसे आप 'realloc' सी ++ में? सीमाइटकेशन add_custom_command रन नहीं किया जा रहा है आप सी # में प्रतिनिधियों का उपयोग कब करेंगे? बड़ी संख्या में पंक्तियों के साथ JTable जनसंख्या रूबी में सीटीवी में आउटपुट सरणी SQL डेटाबेस में यूटीएफ -8 स्ट्रिंग क्लासिक एएसपी परिवर्तित करें IPad पर लॉन्च छवि के बजाय काली स्क्रीन स्प्रिंग क्वालिफायर और प्रॉपर्टी प्लेसहोल्डर पाइप ऑपरेटर का उपयोग करते समय सशर्त मूल्यांकन>%> सी # में रीडोनली के रूप में क्षेत्र को चिह्नित करने के क्या लाभ हैं? एक्सप्रेस और सॉकेट.ओ के साथ पासपोर्ट का उपयोग कैसे करें? एकाधिक दृश्य बनाने के लिए मैं UIPageControl का उपयोग कैसे करूं?

त्रुटि: java.util.zip.ZipException: डुप्लिकेट प्रविष्टि

मैं अपनी परियोजना के लिए एक पुस्तकालय जोड़ने का प्रयास कर रहा हूं, अभी मेरे वर्तमान build.gradle है:

 apply plugin: 'com.android.application' android { compileSdkVersion 21 buildToolsVersion "21.1.2" repositories { mavenCentral() } defaultConfig { applicationId "com.example.guycohen.cheaters" minSdkVersion 11 targetSdkVersion 21 versionCode 1 versionName "1.0" // Enabling multidex support. multiDexEnabled true } buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) compile 'com.android.support:appcompat-v7:21.0.3' compile 'com.facebook.android:facebook-android-sdk:4.0.0' compile 'com.android.support:multidex:1.0.0' compile 'com.parse.bolts:bolts-android:1.+' compile 'com.squareup.picasso:picasso:2.5.2' compile 'com.whl.handytabbar:library:1.0.4' compile 'com.nineoldandroids:library:2.4.0' compile 'com.daimajia.easing:library:1.0.1@aar' compile 'com.daimajia.androidanimations:library:1.1.3@aar' } 

जब मैं एक नया पुस्तकालय जोड़ता हूं

 compile 'com.github.navasmdc:PhoneTutorial:1.+@aar' 

मुझे यह त्रुटि मिलती है:

 Error:Execution failed for task ':app:packageAllDebugClassesForMultiDex'. > java.util.zip.ZipException: duplicate entry: android/support/v4/print/PrintHelperKitkat$2$1.class 

मैंने जोड़कर इस समस्या को ठीक करने की कोशिश की है

 configurations { all*.exclude group: 'com.android.support', module: 'support-v4' } 

मुझे अपनी परियोजना में एक डुप्लिकेट वर्ग नहीं मिला।

मुझे यकीन है कि अगर मैं डुप्लिकेट प्रविष्टि को हटा सकता हूं तो यह पूरी तरह से चला जाएगा, लेकिन मुझे यकीन नहीं है कि मैं इसे कैसे खोजूँगा।

Solutions Collecting From Web of "त्रुटि: java.util.zip.ZipException: डुप्लिकेट प्रविष्टि"

 compile 'com.android.support:support-v4:22.1.1' compile ('com.android.support:appcompat-v7:22.1.1') { exclude module: 'support-v4' } compile ('com.facebook.android:facebook-android-sdk:4.2.0') { exclude module: 'support-v4' } compile ('com.github.navasmdc:PhoneTutorial:1.+@aar') { exclude module: 'support-v4' } 

Build.gradle फ़ाइल में इस संस्करण का उपयोग करने का प्रयास करें

 compile 'com.android.support:appcompat-v7:23.4.0' compile 'com.android.support:design:23.4.0' compile 'com.android.support:recyclerview-v7:23.4.0' compile 'com.android.support:cardview-v7:23.4.0' 

मैं इसका उपयोग सभी समर्थन पुस्तकालय संस्करणों को नवीनतम एक के साथ बदलने के लिए करता हूं जो कि मैं gradle फ़ाइल में उपयोग करता हूं:

 configurations.all { resolutionStrategy.eachDependency { DependencyResolveDetails details -> def requested = details.requested if (requested.group == 'com.android.support') { if (!requested.name.startsWith("multidex")) { details.useVersion "26.0.1" } } } } 

आपकी त्रुटि:

java.util.zip.ZipException: डुप्लिकेट एंट्री: एंड्रॉइड / सपोर्ट / v4 / प्रिंट / प्रिंटहेलरकिटकेट $ 2 $ 1. क्लास

चरण 1: इस मामले में मुख्य संकेत एंड्रॉइड / समर्थन / v4 / print / PrintHelperKitkat $ 2 $ 1. वर्ग है

चरण 2: क्लास के लिए खोज, आपके मामले में "प्रिंटहल्परकिटकैट.क्लास" (एंड्रॉइडस्ट्यूडियो में सिर्फ विंडोज़ पर सी + + एन या मैक पर सीएमडी-ओ पर हिट)

चरण 3: देखें कि किस जार में है – एंड्रॉइड स्टूडियो इसे पॉपअप में लिख देगा।

चरण 4: इसे सभी बिल्ड से निकालें,

उदाहरण के लिए:

com.android.support:support-v4:_____

 compile('your_conflicted_dependency') { exclude module: 'support-v4' } 

मेरे मामले में मेरी एक निर्भरता मेरे दूसरे एएआर में भी शामिल थी। इसलिए मैंने उस निर्भरता को हटा दिया